| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::VolumeSettings Class Reference

`#include <opencv2/3d/volume_settings.hpp>`

Collaboration diagram for cv::VolumeSettings:

## Public Member Functions
| VolumeSettings (const VolumeSettings &vs)
| VolumeSettings (VolumeType volumeType=VolumeType::TSDF)
| Constructor of settings for custom Volume type.
| ~VolumeSettings ()
void | getCameraIntegrateIntrinsics (OutputArray val) const
| Returns intrinsics of camera for integrations. Format of output: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.
void | getCameraRaycastIntrinsics (OutputArray val) const
| Returns camera intrinsics for raycast image, used when user does not provide them at raycast() call. Format of output: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.
float | getDepthFactor () const
| Returns depth factor, witch is the number for depth scaling.
int | getIntegrateHeight () const
| Returns the height of the image for integration.
int | getIntegrateWidth () const
| Returns the width of the image for integration.
float | getMaxDepth () const
| Returns threshold for depth truncation in meters. Truncates the depth greater than threshold to 0.
int | getMaxWeight () const
| Returns max number of frames to integrate per voxel. Represents the max number of frames over which a running average of the TSDF is calculated for a voxel.
int | getRaycastHeight () const
| Returns the height of the raycasted image, used when user does not provide it at raycast() call.
float | getRaycastStepFactor () const
| Returns length of single raycast step. Describes the percentage of voxel length that is skipped per march.
int | getRaycastWidth () const
| Returns the width of the raycasted image, used when user does not provide it at raycast() call.
float | getTsdfTruncateDistance () const
| Returns TSDF truncation distance. Distances greater than value from surface will be truncated to 1.0.
void | getVolumePose (OutputArray val) const
| Sets volume pose.
void | getVolumeResolution (OutputArray val) const
| Resolution of voxel space. Number of voxels in each dimension. Applicable only for TSDF Volume. HashTSDF volume only supports equal resolution in all three dimensions.
void | getVolumeStrides (OutputArray val) const
| Returns 3 integers representing strides by x, y and z dimension. Can be used to iterate over raw volume unit data.
float | getVoxelSize () const
| Returns the size of voxel.
VolumeSettings & | operator= (const VolumeSettings &)
void | setCameraIntegrateIntrinsics (InputArray val)
| Sets intrinsics of camera for integrations. Format of input: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.
void | setCameraRaycastIntrinsics (InputArray val)
| Sets camera intrinsics for raycast image which, used when user does not provide them at raycast() call. Format of input: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.
void | setDepthFactor (float val)
| Sets depth factor, witch is the number for depth scaling.
void | setIntegrateHeight (int val)
| Sets the height of the image for integration.
void | setIntegrateWidth (int val)
| Sets the width of the image for integration.
void | setMaxDepth (float val)
| Sets threshold for depth truncation in meters. Truncates the depth greater than threshold to 0.
void | setMaxWeight (int val)
| Sets max number of frames to integrate per voxel. Represents the max number of frames over which a running average of the TSDF is calculated for a voxel.
void | setRaycastHeight (int val)
| Sets the height of the raycasted image, used when user does not provide it at raycast() call.
void | setRaycastStepFactor (float val)
| Sets length of single raycast step. Describes the percentage of voxel length that is skipped per march.
void | setRaycastWidth (int val)
| Sets the width of the raycasted image, used when user does not provide it at raycast() call.
void | setTsdfTruncateDistance (float val)
| Sets TSDF truncation distance. Distances greater than value from surface will be truncated to 1.0.
void | setVolumePose (InputArray val)
| Sets volume pose.
void | setVolumeResolution (InputArray val)
| Resolution of voxel space. Number of voxels in each dimension. Applicable only for TSDF Volume. HashTSDF volume only supports equal resolution in all three dimensions.
void | setVoxelSize (float val)
| Sets the size of voxel.

## Constructor & Destructor Documentation

## ◆ VolumeSettings() [1/2]

cv::VolumeSettings::VolumeSettings | ( | VolumeType | volumeType = VolumeType::TSDF | ) |
| explicit

Python:
| cv.VolumeSettings( | [, volumeType] | ) -> | <VolumeSettings object>

Constructor of settings for custom Volume type.

Parameters

  volumeType | volume type.

## ◆ VolumeSettings() [2/2]

cv::VolumeSettings::VolumeSettings | ( | const VolumeSettings & | vs | ) |

Python:
| cv.VolumeSettings( | [, volumeType] | ) -> | <VolumeSettings object>

## ◆ ~VolumeSettings()

cv::VolumeSettings::~VolumeSettings | ( |  | ) |

## Member Function Documentation

## ◆ getCameraIntegrateIntrinsics()

void cv::VolumeSettings::getCameraIntegrateIntrinsics | ( | OutputArray | val | ) | const

Python:
| cv.VolumeSettings.getCameraIntegrateIntrinsics( | [, val] | ) -> | val

Returns intrinsics of camera for integrations. Format of output: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.

Parameters

  val | output value.

## ◆ getCameraRaycastIntrinsics()

void cv::VolumeSettings::getCameraRaycastIntrinsics | ( | OutputArray | val | ) | const

Python:
| cv.VolumeSettings.getCameraRaycastIntrinsics( | [, val] | ) -> | val

Returns camera intrinsics for raycast image, used when user does not provide them at raycast() call. Format of output: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.

Parameters

  val | output value.

## ◆ getDepthFactor()

float cv::VolumeSettings::getDepthFactor | ( |  | ) | const

Python:
| cv.VolumeSettings.getDepthFactor( |  | ) -> | retval

Returns depth factor, witch is the number for depth scaling.

## ◆ getIntegrateHeight()

int cv::VolumeSettings::getIntegrateHeight | ( |  | ) | const

Python:
| cv.VolumeSettings.getIntegrateHeight( |  | ) -> | retval

Returns the height of the image for integration.

## ◆ getIntegrateWidth()

int cv::VolumeSettings::getIntegrateWidth | ( |  | ) | const

Python:
| cv.VolumeSettings.getIntegrateWidth( |  | ) -> | retval

Returns the width of the image for integration.

## ◆ getMaxDepth()

float cv::VolumeSettings::getMaxDepth | ( |  | ) | const

Python:
| cv.VolumeSettings.getMaxDepth( |  | ) -> | retval

Returns threshold for depth truncation in meters. Truncates the depth greater than threshold to 0.

## ◆ getMaxWeight()

int cv::VolumeSettings::getMaxWeight | ( |  | ) | const

Python:
| cv.VolumeSettings.getMaxWeight( |  | ) -> | retval

Returns max number of frames to integrate per voxel. Represents the max number of frames over which a running average of the TSDF is calculated for a voxel.

## ◆ getRaycastHeight()

int cv::VolumeSettings::getRaycastHeight | ( |  | ) | const

Python:
| cv.VolumeSettings.getRaycastHeight( |  | ) -> | retval

Returns the height of the raycasted image, used when user does not provide it at raycast() call.

## ◆ getRaycastStepFactor()

float cv::VolumeSettings::getRaycastStepFactor | ( |  | ) | const

Python:
| cv.VolumeSettings.getRaycastStepFactor( |  | ) -> | retval

Returns length of single raycast step. Describes the percentage of voxel length that is skipped per march.

## ◆ getRaycastWidth()

int cv::VolumeSettings::getRaycastWidth | ( |  | ) | const

Python:
| cv.VolumeSettings.getRaycastWidth( |  | ) -> | retval

Returns the width of the raycasted image, used when user does not provide it at raycast() call.

## ◆ getTsdfTruncateDistance()

float cv::VolumeSettings::getTsdfTruncateDistance | ( |  | ) | const

Python:
| cv.VolumeSettings.getTsdfTruncateDistance( |  | ) -> | retval

Returns TSDF truncation distance. Distances greater than value from surface will be truncated to 1.0.

## ◆ getVolumePose()

void cv::VolumeSettings::getVolumePose | ( | OutputArray | val | ) | const

Python:
| cv.VolumeSettings.getVolumePose( | [, val] | ) -> | val

Sets volume pose.

Parameters

  val | output value.

## ◆ getVolumeResolution()

void cv::VolumeSettings::getVolumeResolution | ( | OutputArray | val | ) | const

Python:
| cv.VolumeSettings.getVolumeResolution( | [, val] | ) -> | val

Resolution of voxel space. Number of voxels in each dimension. Applicable only for TSDF Volume. HashTSDF volume only supports equal resolution in all three dimensions.

Parameters

  val | output value.

## ◆ getVolumeStrides()

void cv::VolumeSettings::getVolumeStrides | ( | OutputArray | val | ) | const

Python:
| cv.VolumeSettings.getVolumeStrides( | [, val] | ) -> | val

Returns 3 integers representing strides by x, y and z dimension. Can be used to iterate over raw volume unit data.

Parameters

  val | output value.

## ◆ getVoxelSize()

float cv::VolumeSettings::getVoxelSize | ( |  | ) | const

Python:
| cv.VolumeSettings.getVoxelSize( |  | ) -> | retval

Returns the size of voxel.

## ◆ operator=()

VolumeSettings & cv::VolumeSettings::operator= | ( | const VolumeSettings & |  | ) |

## ◆ setCameraIntegrateIntrinsics()

void cv::VolumeSettings::setCameraIntegrateIntrinsics | ( | InputArray | val | ) |

Python:
| cv.VolumeSettings.setCameraIntegrateIntrinsics( | val | ) -> | None

Sets intrinsics of camera for integrations. Format of input: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.

Parameters

  val | input value.

## ◆ setCameraRaycastIntrinsics()

void cv::VolumeSettings::setCameraRaycastIntrinsics | ( | InputArray | val | ) |

Python:
| cv.VolumeSettings.setCameraRaycastIntrinsics( | val | ) -> | None

Sets camera intrinsics for raycast image which, used when user does not provide them at raycast() call. Format of input: [ fx 0 cx ] [ 0 fy cy ] [ 0 0 1 ] where fx and fy are focus points of Ox and Oy axises, and cx and cy are central points of Ox and Oy axises.

Parameters

  val | input value.

## ◆ setDepthFactor()

void cv::VolumeSettings::setDepthFactor | ( | float | val | ) |

Python:
| cv.VolumeSettings.setDepthFactor( | val | ) -> | None

Sets depth factor, witch is the number for depth scaling.

Parameters

  val | input value.

## ◆ setIntegrateHeight()

void cv::VolumeSettings::setIntegrateHeight | ( | int | val | ) |

Python:
| cv.VolumeSettings.setIntegrateHeight( | val | ) -> | None

Sets the height of the image for integration.

Parameters

  val | input value.

## ◆ setIntegrateWidth()

void cv::VolumeSettings::setIntegrateWidth | ( | int | val | ) |

Python:
| cv.VolumeSettings.setIntegrateWidth( | val | ) -> | None

Sets the width of the image for integration.

Parameters

  val | input value.

## ◆ setMaxDepth()

void cv::VolumeSettings::setMaxDepth | ( | float | val | ) |

Python:
| cv.VolumeSettings.setMaxDepth( | val | ) -> | None

Sets threshold for depth truncation in meters. Truncates the depth greater than threshold to 0.

Parameters

  val | input value.

## ◆ setMaxWeight()

void cv::VolumeSettings::setMaxWeight | ( | int | val | ) |

Python:
| cv.VolumeSettings.setMaxWeight( | val | ) -> | None

Sets max number of frames to integrate per voxel. Represents the max number of frames over which a running average of the TSDF is calculated for a voxel.

Parameters

  val | input value.

## ◆ setRaycastHeight()

void cv::VolumeSettings::setRaycastHeight | ( | int | val | ) |

Python:
| cv.VolumeSettings.setRaycastHeight( | val | ) -> | None

Sets the height of the raycasted image, used when user does not provide it at raycast() call.

Parameters

  val | input value.

## ◆ setRaycastStepFactor()

void cv::VolumeSettings::setRaycastStepFactor | ( | float | val | ) |

Python:
| cv.VolumeSettings.setRaycastStepFactor( | val | ) -> | None

Sets length of single raycast step. Describes the percentage of voxel length that is skipped per march.

Parameters

  val | input value.

## ◆ setRaycastWidth()

void cv::VolumeSettings::setRaycastWidth | ( | int | val | ) |

Python:
| cv.VolumeSettings.setRaycastWidth( | val | ) -> | None

Sets the width of the raycasted image, used when user does not provide it at raycast() call.

Parameters

  val | input value.

## ◆ setTsdfTruncateDistance()

void cv::VolumeSettings::setTsdfTruncateDistance | ( | float | val | ) |

Python:
| cv.VolumeSettings.setTsdfTruncateDistance( | val | ) -> | None

Sets TSDF truncation distance. Distances greater than value from surface will be truncated to 1.0.

Parameters

  val | input value.

## ◆ setVolumePose()

void cv::VolumeSettings::setVolumePose | ( | InputArray | val | ) |

Python:
| cv.VolumeSettings.setVolumePose( | val | ) -> | None

Sets volume pose.

Parameters

  val | input value.

## ◆ setVolumeResolution()

void cv::VolumeSettings::setVolumeResolution | ( | InputArray | val | ) |

Python:
| cv.VolumeSettings.setVolumeResolution( | val | ) -> | None

Resolution of voxel space. Number of voxels in each dimension. Applicable only for TSDF Volume. HashTSDF volume only supports equal resolution in all three dimensions.

Parameters

  val | input value.

## ◆ setVoxelSize()

void cv::VolumeSettings::setVoxelSize | ( | float | val | ) |

Python:
| cv.VolumeSettings.setVoxelSize( | val | ) -> | None

Sets the size of voxel.

Parameters

  val | input value.

The documentation for this class was generated from the following file:

- opencv2/3d/volume_settings.hpp